
Ceph - Bug #20689

cls_rgw.test_put_snap fails on jewel->luminous upgrade

07/19/2017 03:31 PM - Sage Weil

Status: Won't Fix % Done: 0%

Priority: Urgent Spent time: 0.00 hour

Assignee: Orit Wasserman   

Category:    

Target version:    

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

2017-07-18T21:01:15.060 INFO:tasks.workunit.client.1.smithi132.stdout:[ RUN      ] cls_rgw.test_pu

t_snap

2017-07-18T21:01:22.453 INFO:tasks.workunit.client.1.smithi132.stdout:test/cls_refcount/test_cls_r

efcount.cc:138: Failure

2017-07-18T21:01:22.453 INFO:tasks.workunit.client.1.smithi132.stdout:Value of: ioctx.operate("foo

", op)

2017-07-18T21:01:22.453 INFO:tasks.workunit.client.1.smithi132.stdout:  Actual: 0

2017-07-18T21:01:22.453 INFO:tasks.workunit.client.1.smithi132.stdout:Expected: -2

2017-07-18T21:01:22.454 INFO:tasks.workunit.client.1.smithi132.stdout:[  FAILED  ] cls_rgw.test_pu

t_snap (7395 ms)

 

/a/sage-2017-07-18_16:32:41-upgrade:jewel-x-master-distro-basic-smithi/1412943

jewel client/test code, mixed/upgrading server side.

Related issues:

Duplicated by rgw - Bug #20914: cls_rgw.gc_set and defer fail during jewel->l... Won't Fix 08/04/2017

History

#1 - 08/04/2017 07:23 PM - Sage Weil

- Duplicated by Bug #20914: cls_rgw.gc_set and defer fail during jewel->luminous upgrade added

#2 - 08/07/2017 01:47 PM - Orit Wasserman

- Assignee set to Orit Wasserman

#3 - 12/05/2019 09:35 PM - Patrick Donnelly

- Status changed from 12 to New

#4 - 01/20/2020 06:07 PM - Sage Weil

- Status changed from New to Won't Fix
